| Home | Libraries | People | FAQ | More

## Function template is_sorted_until

boost::algorithm::is_sorted_until

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename R, typename Pred>
      boost::lazy_disable_if_c< boost::is_same< R, Pred >::value, typename boost::range_iterator< const R > >::type
      is_sorted_until(const R & range, Pred p);

## Description

<ndash></ndash> Range based versions of the C++11 functions

Parameters:

`p` | A binary predicate that returns true if two elements are ordered.
`range` | The range to be tested.

Returns: | the point in the range R where the elements are unordered (according to the comparison predicate 'p').